class dataclass
{
	unsigned char data[MAXIMUMDATALENGTH+65]; // waveform array
	float zoom;                            // zoom factor
	int   start;                           // display offset (in datas)
	int   hmark[2],vmark[3];               // horizontal and vertical markers
	char  file_name[13];
	int	file_length;
	int   x_2_screenx(int);						// data to screen pos. converter
	int   screenx_2_x(int);
	void  clear(int,int);                  // reset data within bounds
	void  draw_wave(void);                     // draw in the waveform
	void  move_horiz_markers(void);
	void  move_vert_markers(void);
	void  save_buffer(void);
	void  load_buffer(void);
	void  draw_line(int,int,int,int);
	void  lineto(void);
	void  mousedit(int,int);

public:
			dataclass(void);                     // constructor
	int   linemode;
	int   h_symmetry;
	int   snap;
	char	header[60];
	int	clock_speed;
	float clockspeed;
	int	reserved;
	char  speed[30];
	void  draw(void);                          // draw screen+wave
	void  mousecheck(void);                // detects and handles data area click
	void  zoomin(void);
	void  zoomout(void);
	void  scroll_left(int);
	void  scroll_right(int);
	void  cut(void);
	void  copy(void);
	void  paste(void);
	void  undo(void);
	void  undo_button(void);
	void  clear_button(void);
	void  line_button(void);
	void  flip_x(void);
	void  flip_y(void);
	void  sine(void);
	void  shiftup(void);
	void  shiftdown(void);
	void  load(char*);
	void  save(void);
	void  zero_cross(void);
	void  noise(void);
	void  remove_dc(void);
	void  add(void);
	void  kill_the_rest(void);
};

