//------------------------- init_graphics ----------------------------------
// Set up graphics screen.
void init_graphics(void)
{
	int  error_number, mode, driver = DETECT;
	char *driver_path = "c:\\tc\\bgi\\";

	// Init graphics screen, and auto detect video mode and driver.
	initgraph(&driver, &mode, driver_path);
	error_number = graphresult();  // 0 = all OK

	if (error_number != grOk)
	{
		// Otherwise something's wrong...
		printf("\n\n\nGraphics error!\n\nError number:  ");
		printf("%d, %s", error_number, grapherrormsg(error_number));
		printf("\n\nPress any key to return to system.");
		getch();
		exit(EXIT_FAILURE);
	}
}
